Bullet Collision Detection & Physics Library: btConvexHullInternal::Rational128 Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Private Attributes | List of all members
btConvexHullInternal::Rational128 Class Reference
Collaboration diagram for btConvexHullInternal::Rational128:
[legend]

## Public Member Functions
| Rational128 (int64_t value)
| Rational128 (const Int128 &numerator, const Int128 &denominator)
int | compare (const Rational128 &b) const
int | compare (int64_t b) const
btScalar | toScalar () const

## Private Attributes
Int128 | numerator
Int128 | denominator
int | sign
bool | isInt64

## Detailed Description

Definition at line 329 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Rational128() [1/2]

btConvexHullInternal::Rational128::Rational128 | ( | int64_t | value | ) |
| inline

Definition at line 338 of file btConvexHullComputer.cpp.

## ◆ Rational128() [2/2]

btConvexHullInternal::Rational128::Rational128 | ( | const Int128 & | numerator,
|  | const Int128 & | denominator )
| inline

Definition at line 359 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ compare() [1/2]

int btConvexHullInternal::Rational128::compare | ( | const Rational128 & | b | ) | const

Definition at line 942 of file btConvexHullComputer.cpp.

## ◆ compare() [2/2]

int btConvexHullInternal::Rational128::compare | ( | int64_t | b | ) | const

Definition at line 969 of file btConvexHullComputer.cpp.

## ◆ toScalar()

btScalar btConvexHullInternal::Rational128::toScalar | ( |  | ) | const
| inline

Definition at line 387 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ denominator

Int128 btConvexHullInternal::Rational128::denominator
| private

Definition at line 333 of file btConvexHullComputer.cpp.

## ◆ isInt64

bool btConvexHullInternal::Rational128::isInt64
| private

Definition at line 335 of file btConvexHullComputer.cpp.

## ◆ numerator

Int128 btConvexHullInternal::Rational128::numerator
| private

Definition at line 332 of file btConvexHullComputer.cpp.

## ◆ sign

int btConvexHullInternal::Rational128::sign
| private

Definition at line 334 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp